Bug 176946 - Review Request: python-feedparser - Parse RSS and Atom feeds in Python
Review Request: python-feedparser - Parse RSS and Atom feeds in Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-04 11:47 EST by Konstantin Ryabitsev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 11:13:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2006-01-04 11:47:08 EST
Spec Name or Url: http://linux.duke.edu/~icon/misc/fe/python-feedparser.spec
SRPM Name or Url: http://linux.duke.edu/~icon/misc/fe/python-feedparser-4.0.2-1.src.rpm
Description:
Universal Feed Parser is a Python module for downloading and parsing 
syndicated feeds. It can handle RSS 0.90, Netscape RSS 0.91, 
Userland RSS 0.91, RSS 0.92, RSS 0.93, RSS 0.94, RSS 1.0, RSS 2.0, 
Atom 0.3, Atom 1.0, and CDF feeds. It also parses several popular extension 
modules, including Dublin Core and Apple's iTunes extensions.
Comment 1 Brian Pepple 2006-01-06 15:55:44 EST
PUBLISH +1

MD5Sums:
85cc43faf40f8aefdb5885bdabc1a94c  feedparser-4.0.2.zip

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* No deprecated fields used
* All necessary BuildRequires listed.
* All desired features are enabled
* Package rebuilds as non-root user
* Package installs and uninstalls cleanly on FC4.
* Software runs fine

Minor:
* Rpmlint errors: Most of the file in the %docs section appear to have
  permission of 666, which can be corrected when you import the package into CVS.

APPROVED.
Comment 2 Konstantin Ryabitsev 2006-01-09 11:13:05 EST
Added to Extras, thanks!
Comment 3 Konstantin Ryabitsev 2007-06-28 14:37:01 EDT
Package Change Request
======================
Package Name: python-feedparser
New Branches: EL-4 EL-5
Comment 4 Kevin Fenzi 2007-06-28 15:58:31 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.